 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({

    /**
     * 页面的初始数据
     */
    data: {
        qty         : '',    // 商品数量
        skuid       : '',    // skuid
        type        : '',    // 类型
        listArr     : []     // 收货地址
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        if(options) {
            this.setData({
                type    : options.type,
                qty     : options.qty,
                skuid   : options.skuid
            })
        }
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        // 获取地址列表
        this.listInfo();
    },

    /**
     * 地址列表
     */
    listInfo (){
        wx.$api.site.siteList().then(res => {
            this.setData({
                listArr: res.data
            })
            if(res.data.length <= 0){
                let pages = getCurrentPages(),
                prepage = pages[pages.length-2]
                prepage.setData({
                    address: ''
                })
                prepage.placeInfo(this.data.skuid, this.data.qty, "chooseAdd")
            }
        }).catch(err => { })
    },

    /**
     * 选择地址
     */
    selectAddress(e){
        let atAdds  = e.currentTarget.dataset.obj
        let pages   = getCurrentPages(),
            prepage = pages[pages.length - 2]

        prepage.setData({
            address: atAdds
        })
        prepage.placeInfo(this.data.skuid, this.data.qty, "chooseAdd")
        wx.navigateBack()
    },

    /**
     * 编辑地址
     */
    addressEdit(e) {
        wx.navigateTo({
            url: './edit/edit?addressid=' + e.currentTarget.dataset.id,
        })
    },
})